For the complete documentation index, see llms.txt. This page is also available as Markdown.

List OAuth2/OpenID client applications

get
Authorizations
defguard_sessionstringRequired
Query parameters
pageinteger · int32Optional

Page number. Defaults to 1.

per_pageinteger · int32Optional

Number of items per page, from 1 to 100. Defaults to 50.

Responses
200

Paginated list of OAuth2 clients.

application/json
objectOptional
get/api/v1/oauth/
GET /api/v1/oauth/ HTTP/1.1
Accept: */*
{
  "data": [
    {
      "client_id": "Kx7mQ2pR9tLvB4nZ",
      "client_secret": "wY3hJ8sD1fG6kL0aP5vN2cX7bM4qR9tZ",
      "enabled": true,
      "id": 1,
      "name": "internal app",
      "redirect_uri": [
        "https://app.example.com/callback"
      ],
      "scope": [
        "openid",
        "profile",
        "email"
      ]
    }
  ],
  "pagination": {
    "current_page": 1,
    "next_page": null,
    "page_size": 50,
    "total_items": 1,
    "total_pages": 1
  }
}

Last updated

Was this helpful?